<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
<mat-form-field appearance="standard">
    <mat-label>Filter</mat-label><input matInput (keyup)="applyFilter($event)" placeholder="Nombre" #input>
    <!-- <button [routerLink]="['/añadir']"> Modificar</button> -->
    
    <!-- <mat-label>Filter</mat-label><input matInput placeholder="Ex. ium" #input> -->
  </mat-form-field>
 
  <table mat-table [dataSource]="personas" class="mat-elevation-z8">
    <!-- Position Column -->
    <ng-container matColumnDef="usuario">
      <th mat-header-cell *matHeaderCellDef> Usuario </th>
      <td mat-cell *matCellDef="let element"> {{element.usuario}} </td>
    </ng-container><!-- Name Column -->
    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef> Name </th>
      <td mat-cell *matCellDef="let element"> {{element.name}} </td>
    </ng-container>
    <ng-container matColumnDef="ciudad">
      <th mat-header-cell *matHeaderCellDef> Ciudad </th>
      <td mat-cell *matCellDef="let element"> {{element.city}} </td>
    </ng-container>
    <ng-container matColumnDef="email">
      <th mat-header-cell *matHeaderCellDef> Email </th>
      <td mat-cell *matCellDef="let element"> {{element.personal_email}} </td>
    </ng-container>
    <ng-container matColumnDef="botones">
      <th mat-header-cell *matHeaderCellDef> Botones. </th>
      <td mat-cell *matCellDef="let element"> 
        <button mat-raised-button (click)="delete(element.id_persona)" class="btn btn-outline-danger">Borrar</button>
        <button mat-raised-button [routerLink]="['/actualizar',element.id_persona]" class="btn btn-outline-primary"> Modificar</button>
        <button mat-raised-button (click)="detalle(element)"  class="btn btn-outline-info"> Detalle</button>
      </td>
    </ng-container>
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr><!-- Row shown when there is no matching data. -->

    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
    </tr>
    
  </table>
  <div class="boton">
    <button mat-raised-button [routerLink]="['/añadir']" class="btn btn-outline-success">Añadir Usuario</button>
  </div>
  